API ReferenceAdmin Attribute Definitions
Update Attribute Definition
PATCH
/v1/admin/attribute_definitions/{def_id}Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
def_id*Def Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Patch an existing attribute. All optional; standard-row immutables
(key/kind/data_type) are rejected server-side, email can't be made
administered. options is editable for choice rows (incl. standard
gender). scopes, when provided, REPLACES the membership set (locked
standard memberships are preserved). Activation is membership — there is
no enabled flag; to deactivate, remove from all scopes.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/attribute_definitions/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "key": "string", "kind": "standard", "data_type": "string", "label": "string", "provenance": "administered", "scopes": [ { "scope": "string", "required": false, "ordering": 0 } ], "options": [ "string" ], "constraints": {}, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}